import request from '@/utils/request'

// 互娱  游戏列表
export  function getGameList(data) {
	return request({
		url: `/api/game`,
		method: 'get',
		data
	});
}

// 互娱 获取当前游戏历史记录
export function getGame(data,id) {
	return request({
		url: `/api/game/room/${id}`,
		method: 'get',
		data
	});
}

// 互娱  游戏k线
export  function gameKline(data,type) {
	return request({
		url: `/api/kline/${type}`,
		method: 'get',
		data
	});
}
// 互娱 获取钱包
export  function gameWallet() {
	return request({
		url: `/api/wallet`,
		method: 'get',
	});
}
// 互娱  获取交易记录
export  function gameBetList(data) {
	return request({
		url: `/api/game/bet/${data.id}`,
		method: 'get',
		data
	});
}

// 互娱  押注
export  function gameBetIn(data) {
	return request({
		url: `/api/game/bet/${data.id}`,
		method: 'post',
		data
	});
}